# Function simpleCache

- simpleCache< V , Args extends any[]>(
  getValue: (args: Args ) => V ,
  ): {
  cache: LRUCache <string, V >;
  getKey: (args: Args ) => string;
  getValue: (args: Args ) => V ;
  (...args: Args ): NonNullable< V >;
  }

- #### Type Parameters

  - V
  - Args extends any[]

  #### Parameters

  - getValue: (args: Args ) => V

  #### Returns {
  cache: LRUCache <string, V >;
  getKey: (args: Args ) => string;
  getValue: (args: Args ) => V ;
  (...args: Args ): NonNullable< V >;
  }

  - Defined in packages/lib/src/LRUCache.ts:63